package danielcortes.xyz.models.tipo_ingreso;

import java.util.Objects;

public class TipoIngresoToStringWrapper extends TipoIngreso {
  private TipoIngreso tipoIngreso;

  public TipoIngresoToStringWrapper(TipoIngreso tipoIngreso) {
    this.tipoIngreso = tipoIngreso;
  }

  @Override
  public int getId() {
    return tipoIngreso.getId();
  }

  @Override
  public void setId(int id) {
    tipoIngreso.setId(id);
  }

  @Override
  public String getNombre() {
    return tipoIngreso.getNombre();
  }

  @Override
  public void setNombre(String nombre) {
    tipoIngreso.setNombre(nombre);
  }

  @Override
  public String toString() {
    return this.tipoIngreso.getNombre();
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof TipoIngresoToStringWrapper)) {
      return false;
    }
    if (!super.equals(o)) {
      return false;
    }
    TipoIngresoToStringWrapper that = (TipoIngresoToStringWrapper) o;
    return Objects.equals(tipoIngreso, that.tipoIngreso);
  }

  @Override
  public int hashCode() {
    return Objects.hash(super.hashCode(), tipoIngreso);
  }
}
